Novell Home

CVE-2010-4539

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2010-4539 at MITRE

Description

The walk function in repos.c in the mod_dav_svn module for the Apache HTTP Server, as distributed in Apache Subversion before 1.6.15, allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via vectors that trigger the walking of SVNParentPath collections.

NVD CVSS v2 Base Score: 6.8 (AV:N/AC:L/Au:S/C:N/I:N/A:C)

Novell/SUSE information

Novell Bugzilla entry: 662030

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.2
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.6.6-1.5.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.6.6-1.5.1
  • subversion-debuginfo >= 1.6.6-1.5.1
  • subversion-debugsource >= 1.6.6-1.5.1
  • subversion-perl-debuginfo >= 1.6.6-1.5.1
  • subversion-python-debuginfo >= 1.6.6-1.5.1
  • subversion-ruby-debuginfo >= 1.6.6-1.5.1
  • subversion-server-debuginfo >= 1.6.6-1.5.1
  • subversion-tools-debuginfo >= 1.6.6-1.5.1
openSUSE 11.2
  • libsvn_auth_gnome_keyring-1-0 >= 1.6.6-1.5.1
  • libsvn_auth_kwallet-1-0 >= 1.6.6-1.5.1
  • subversion >= 1.6.6-1.5.1
  • subversion-devel >= 1.6.6-1.5.1
  • subversion-perl >= 1.6.6-1.5.1
  • subversion-python >= 1.6.6-1.5.1
  • subversion-ruby >= 1.6.6-1.5.1
  • subversion-server >= 1.6.6-1.5.1
  • subversion-tools >= 1.6.6-1.5.1
openSUSE 11.3
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.6.9-4.5.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.6.9-4.5.1
  • subversion-debuginfo >= 1.6.9-4.5.1
  • subversion-debugsource >= 1.6.9-4.5.1
  • subversion-perl-debuginfo >= 1.6.9-4.5.1
  • subversion-python-debuginfo >= 1.6.9-4.5.1
  • subversion-ruby-debuginfo >= 1.6.9-4.5.1
  • subversion-server-debuginfo >= 1.6.9-4.5.1
  • subversion-tools-debuginfo >= 1.6.9-4.5.1
openSUSE 11.3
  • libsvn_auth_gnome_keyring-1-0 >= 1.6.9-4.5.1
  • libsvn_auth_kwallet-1-0 >= 1.6.9-4.5.1
  • subversion >= 1.6.9-4.5.1
  • subversion-devel >= 1.6.9-4.5.1
  • subversion-perl >= 1.6.9-4.5.1
  • subversion-python >= 1.6.9-4.5.1
  • subversion-ruby >= 1.6.9-4.5.1
  • subversion-server >= 1.6.9-4.5.1
  • subversion-tools >= 1.6.9-4.5.1
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • subversion >= 1.3.1-1.16.1
  • subversion-devel >= 1.3.1-1.16.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sle10-sp3-sdk.x86
sled10-sp3.x86-64
sle10-sp3-sdk.x86-64
sled10-sp3.x86
sle10-sp3-sdk.ia64
ZYPP Patch Nr: 7319
SUSE Linux Enterprise SDK 10 SP3
  • cvs2svn >= 1.3.0-30.16.1
  • subversion >= 1.3.1-1.16.1
  • subversion-devel >= 1.3.1-1.16.1
  • subversion-python >= 1.3.1-1.16.1
  • subversion-server >= 1.3.1-1.16.1
  • subversion-tools >= 1.3.1-1.16.1
  • viewcvs >= 1.0.5-0.16.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sle10-sp3-sdk.x86
sled10-sp3.x86-64
sle10-sp3-sdk.x86-64
sled10-sp3.x86
sle10-sp3-sdk.ia64
ZYPP Patch Nr: 7319
SLE 11 SP1 DEBUGINFO
  • subversion-debuginfo >= 1.5.7-0.8.1
  • subversion-debugsource >= 1.5.7-0.8.1
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86
SAT Patch Nr: 3842
SUSE Linux Enterprise Software Development Kit 11 SP1
  • subversion >= 1.5.7-0.8.1
  • subversion-devel >= 1.5.7-0.8.1
  • subversion-perl >= 1.5.7-0.8.1
  • subversion-python >= 1.5.7-0.8.1
  • subversion-server >= 1.5.7-0.8.1
  • subversion-tools >= 1.5.7-0.8.1
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86
SAT Patch Nr: 3842

© 2014 Novell